<?xml version="1.0" encoding="UTF-8" ?>
<!-- ====================================================================== -->
<!-- xml2txt.xsl                                                            -->
<!-- ver.0.3                                                                -->
<!--                                                                        -->
<!-- Changes:                                                               -->
<!-- 2008/07/07  form output added  (togiso@kokken.go.jp)                   -->
<!-- 2008/04/12  goshu output added (den@cogsci.l.chiba-u.ac.jp)            -->
<!-- ====================================================================== -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:cha="http://www.unidic.org/chasen/ns/structure/1.0"
 xmlns:num="http://www.unidic.org/numtrans/ns/structure/1.0"
 xmlns:xlink="http://www.w3.org/1999/xlink">
<xsl:strip-space elements="*" />
<xsl:output method="text" encoding="UTF-8" />

<!-- ====================================================================== -->
<xsl:template match="/">
 <xsl:apply-templates select=".//cha:W1"/>
</xsl:template>

<!-- ====================================================================== -->
<xsl:template match="cha:W1">
 <xsl:value-of select="ancestor::*/@cha:src|ancestor::*/@src" />
 <xsl:text>&#x09;</xsl:text>
 <xsl:choose><xsl:when test="generate-id(ancestor::cha:S//cha:W1[1])=generate-id(.)">B</xsl:when><xsl:otherwise>I</xsl:otherwise></xsl:choose>
 <xsl:text>&#x09;</xsl:text>
 <xsl:value-of select="@orth" />
 <xsl:text>&#x09;</xsl:text>
 <xsl:value-of select="@pron" />
 <xsl:text>&#x09;</xsl:text>
 <xsl:value-of select="@lForm" />
 <xsl:text>&#x09;</xsl:text>
 <xsl:value-of select="@lemma" />
 <xsl:text>&#x09;</xsl:text>
 <xsl:value-of select="@pos" />
 <xsl:text>&#x09;</xsl:text>
 <xsl:value-of select="@cType" />
 <xsl:text>&#x09;</xsl:text>
 <xsl:value-of select="@cForm" />
 <xsl:text>&#x09;</xsl:text>
 <xsl:value-of select="@formBase" />
 <xsl:text>&#x09;</xsl:text>
 <xsl:value-of select="@goshu" />
<xsl:text>&#x0a;</xsl:text>
</xsl:template>

</xsl:stylesheet>
<!-- ====================================================================== -->
